cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/orders/ORD-0001/notes" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
--form-string 'note=<p>Customer asked for a call back.</p>' \
-F "file=@call-notes.txt"from exsited import build_client
client = build_client()
response = client.orders.create_order_note(
"ORD-0001",
"<p>Customer asked for a call back.</p>",
files={"file": open("call-notes.txt", "rb")},
)
print(response.data)
import {readFileSync} from 'node:fs';
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.orders.createOrderNote('ORD-0001', '<p>Customer asked for a call back.</p>', {
files: {file: ['call-notes.txt', readFileSync('call-notes.txt')]},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->orders->createOrderNote('ORD-0001', '<p>Customer asked for a call back.</p>', [
'file' => ['call-notes.txt', fopen('call-notes.txt', 'r')],
]);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.client.RequestOptions;
import com.exsited.resources.orders.orders_dto.OrdersDto.OrderNoteView;
import java.nio.file.Path;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<OrderNoteView> response = client.orders().createOrderNote(
"ORD-0001",
"<p>Customer asked for a call back.</p>",
Map.of("file", Path.of("call-notes.txt")),
RequestOptions.none());
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Orders.CreateOrderNoteAsync(
"ORD-0001",
"<p>Customer asked for a call back.</p>",
new Dictionary<string, object?> { ["file"] = new object?[] { "call-notes.txt", File.ReadAllBytes("call-notes.txt") } });
Console.WriteLine(response.Json);
import 'dart:io';
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.orders.createOrderNote(
'ORD-0001',
'<p>Customer asked for a call back.</p>',
files: {
'file': ['call-notes.txt', File('call-notes.txt').readAsBytesSync()],
},
);
print(response.map);
import (
"context"
"fmt"
"log"
"os"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
file, err := os.ReadFile("call-notes.txt")
if err != nil {
log.Fatal(err)
}
response, err := client.Orders().CreateOrderNote(context.Background(), "ORD-0001", "<p>Customer asked for a call back.</p>", map[string]any{"file": []any{"call-notes.txt", file}}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"note": {
"attachments": [
{
"uuid": "<string>",
"filename": "<string>",
"content_type": "<string>",
"size": 123,
"href": "<string>"
}
],
"content": "<string>",
"created_by": {
"name": "<string>",
"object": "<string>"
},
"created_on": "<string>",
"group": "<unknown>",
"href": "<string>",
"id": "<string>",
"last_updated_by": {
"name": "<string>",
"object": "<string>"
},
"last_updated_on": "<string>",
"object": "<string>",
"order": {
"href": "<string>",
"id": "<string>",
"object": "<string>"
},
"user": "<unknown>",
"version": 123,
"watchers": [
{
"email": "<string>",
"name": "<string>",
"type": "<string>"
}
]
}
}Orders
Create an order note
Adds a note to an order, with an optional file, and returns it under note.
POST
/
orders
/
{order_id}
/
notes
cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/orders/ORD-0001/notes" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
--form-string 'note=<p>Customer asked for a call back.</p>' \
-F "file=@call-notes.txt"from exsited import build_client
client = build_client()
response = client.orders.create_order_note(
"ORD-0001",
"<p>Customer asked for a call back.</p>",
files={"file": open("call-notes.txt", "rb")},
)
print(response.data)
import {readFileSync} from 'node:fs';
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.orders.createOrderNote('ORD-0001', '<p>Customer asked for a call back.</p>', {
files: {file: ['call-notes.txt', readFileSync('call-notes.txt')]},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->orders->createOrderNote('ORD-0001', '<p>Customer asked for a call back.</p>', [
'file' => ['call-notes.txt', fopen('call-notes.txt', 'r')],
]);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.client.RequestOptions;
import com.exsited.resources.orders.orders_dto.OrdersDto.OrderNoteView;
import java.nio.file.Path;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<OrderNoteView> response = client.orders().createOrderNote(
"ORD-0001",
"<p>Customer asked for a call back.</p>",
Map.of("file", Path.of("call-notes.txt")),
RequestOptions.none());
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Orders.CreateOrderNoteAsync(
"ORD-0001",
"<p>Customer asked for a call back.</p>",
new Dictionary<string, object?> { ["file"] = new object?[] { "call-notes.txt", File.ReadAllBytes("call-notes.txt") } });
Console.WriteLine(response.Json);
import 'dart:io';
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.orders.createOrderNote(
'ORD-0001',
'<p>Customer asked for a call back.</p>',
files: {
'file': ['call-notes.txt', File('call-notes.txt').readAsBytesSync()],
},
);
print(response.map);
import (
"context"
"fmt"
"log"
"os"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
file, err := os.ReadFile("call-notes.txt")
if err != nil {
log.Fatal(err)
}
response, err := client.Orders().CreateOrderNote(context.Background(), "ORD-0001", "<p>Customer asked for a call back.</p>", map[string]any{"file": []any{"call-notes.txt", file}}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"note": {
"attachments": [
{
"uuid": "<string>",
"filename": "<string>",
"content_type": "<string>",
"size": 123,
"href": "<string>"
}
],
"content": "<string>",
"created_by": {
"name": "<string>",
"object": "<string>"
},
"created_on": "<string>",
"group": "<unknown>",
"href": "<string>",
"id": "<string>",
"last_updated_by": {
"name": "<string>",
"object": "<string>"
},
"last_updated_on": "<string>",
"object": "<string>",
"order": {
"href": "<string>",
"id": "<string>",
"object": "<string>"
},
"user": "<unknown>",
"version": 123,
"watchers": [
{
"email": "<string>",
"name": "<string>",
"type": "<string>"
}
]
}
}Send a multipart form: the note text as the
note part and, optionally, a file as the file part. The response lists any attached file under attachments.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The order's id, as GET /orders lists it.
Body
multipart/form-data
Response
201 - application/json
The new note, under note.
Show child attributes
Show child attributes